curl --request GET \
--url https://sandbox-api.borderless.xyz/v1/organizations/integrations/credentials \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.borderless.xyz/v1/organizations/integrations/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.borderless.xyz/v1/organizations/integrations/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.borderless.xyz/v1/organizations/integrations/credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.borderless.xyz/v1/organizations/integrations/credentials"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-api.borderless.xyz/v1/organizations/integrations/credentials")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.borderless.xyz/v1/organizations/integrations/credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"defaultConfigured": true,
"identityIds": [
"<string>"
],
"merchants": [
{
"identityId": "<string>",
"cryptoTopupAddresses": [
{
"asset": "POL",
"address": "<string>"
}
],
"fiatPayoutSenderId": "<string>"
}
],
"cryptoTopupAddresses": [
{
"asset": "POL",
"address": "<string>"
}
],
"fiatPayoutSenderId": "<string>"
}Get a provider's configured credential sets
Returns whether the organization-level default credentials are set for the provider and the list of business-identity IDs that have their own credential set. Never returns secrets. Providers without per-identity credentials return an empty identityIds list.
curl --request GET \
--url https://sandbox-api.borderless.xyz/v1/organizations/integrations/credentials \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.borderless.xyz/v1/organizations/integrations/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.borderless.xyz/v1/organizations/integrations/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.borderless.xyz/v1/organizations/integrations/credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.borderless.xyz/v1/organizations/integrations/credentials"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-api.borderless.xyz/v1/organizations/integrations/credentials")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.borderless.xyz/v1/organizations/integrations/credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"defaultConfigured": true,
"identityIds": [
"<string>"
],
"merchants": [
{
"identityId": "<string>",
"cryptoTopupAddresses": [
{
"asset": "POL",
"address": "<string>"
}
],
"fiatPayoutSenderId": "<string>"
}
],
"cryptoTopupAddresses": [
{
"asset": "POL",
"address": "<string>"
}
],
"fiatPayoutSenderId": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Response
Provider credential summary.
Whether organization-level default credentials are configured for the provider.
Business-identity IDs that have their own credential set. Never includes secrets.
One entry per merchant that brings its own credentials, with what that merchant has configured. Never includes secrets.
Show child attributes
Show child attributes
Organization-level crypto top-up addresses configured for the provider, so they can be re-checked without the provider's onboarding email.
Show child attributes
Show child attributes
Verified sender entity used for local currency payouts, if configured.
Was this page helpful?